home *** CD-ROM | disk | FTP | other *** search
- ;*******TY\PPLIST.LSP******
- (if (null lst) (setq lst "ll1"))
- ;----------
- (defun C:MPPLSt ( )
- (mpplst0)
- )
- (defun mpplst0 ( )
- (setq wcy 1 pplst (list "pp1"))
- (while wcy
- (setq pt (getpoint "\n enter point <or RETURN none>:"))
- (if (null pt) (setq wcy nil) (setq pplst (cons pt pplst)))
- )
- (setq pplst (reverse pplst))
- )
- ;----------
- (defun C:LCPPP1 ( )
- (setq ppp (ssget))
- (setq bp (getpoint "Base point:"))
- (mpplst0)
- (lcppp0)
- )
- (defun C:LCPPP ( )
- (setq bp (getpoint "Base point:"))
- (lcppp0)
- )
- (defun lcppp0 ( )
- (setq k 1)
- (while k
- (setq pt (nth k pplst))
- (if (= pt nil) (setq k nil) (progn
- (command "copy" ppp "" bp pt)
- (setq k (1+ k))))
- )
- )
- ;----------
- (defun C:LIPPP ( )
- (setq bname (getstring "\n Block name:"))
- (setq xs (getreal "\n X scale factor <1>:"))
- (if (null xs) (setq xs 1.0))
- (setq ys (getreal "\n Y scale factor <default=X>:"))
- (if (null ys) (setq ys xs))
- (setq ra (getreal "\n Rotation angle <0>:"))
- (if (null ra) (setq ra 0.0))
- (setq k 1)
- (while k
- (setq pt (nth k pplst))
- (if (= pt nil) (setq k nil) (progn
- (command "insert" bname pt xs ys ra)
- (setq k (1+ k))))
- )
- )